#ifndef MEASURE_HPP_
#define MEASURE_HPP_

#include <string>

class measure
{
private:
#ifdef MEASURE
	void *measure_ptr;
#endif
public:
	measure(const std::string &);
	measure(const measure &) = delete;
	measure(measure &&) = delete;
	~measure();
	void start();
	void stop();
	void pause();
};

#endif
